Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.datastore
Class ModifyFTProperties

    java.lang.Object
      org.deegree.tools.datastore.ModifyFTProperties

    public class ModifyFTProperties

extends Object

This class enables a user to add a new property to a deegree WFS feature type definition. It is possible to add a simple property from the feature types major table, a simple property from another table and a complex property from another already available feature type.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`ModifyFTProperties(URL ftDefFile, String featureType, String propertyName, String databaseFieldName, int type)`
`ModifyFTProperties(URL ftDefFile, String featureType, String propertyName, String databaseFieldName, String table, String from, String to, int type, int relType)`

Method Summary
`void` | `addComplexProperty()`
`void` | `addSimplePropertyFromMainTable()` adds a property from the feature types major table
`void` | `addSimplePropertyFromOtherTable()`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifyFTProperties

    public ModifyFTProperties(URL ftDefFile,
                              String featureType,
                              String propertyName,
                              String databaseFieldName,
                              int type)

Parameters:
  `ftDefFile` - schema file containing feature type defintion
  `featureType` - qualified name of the feature to enhance
  `propertyName` - name of the new property
  `databaseFieldName` -
  `type` - type code of the ne2 property (@see org.deegree.datatypes.Types)

### ModifyFTProperties

    public ModifyFTProperties(URL ftDefFile,
                              String featureType,
                              String propertyName,
                              String databaseFieldName,
                              String table,
                              String from,
                              String to,
                              int type,
                              int relType)

Parameters:
  `ftDefFile` - schema file containing feature type defintion
  `featureType` - qualified name of the feature to enhance
  `propertyName` - name of the new property
  `databaseFieldName` -
  `table` -
  `from` -
  `to` -
  `type` - type code of the new property (@see org.deegree.datatypes.Types)
  `relType` -

Method Detail

### addSimplePropertyFromMainTable

    public void addSimplePropertyFromMainTable()
                                        throws Exception

  adds a property from the feature types major table

  Throws:
    `Exception`

### addSimplePropertyFromOtherTable

    public void addSimplePropertyFromOtherTable()
                                         throws Exception

  Throws:
    `Exception`

### addComplexProperty

    public void addComplexProperty()

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org